> ## Documentation Index
> Fetch the complete documentation index at: https://docs.projectio.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Record Project Results

> Record results for a project and indicator.



## OpenAPI

````yaml POST /v1/projects/record-results
openapi: 3.1.0
info:
  title: Torch Impact Management API
  description: >-
    API for managing users, projects, indicators, targets, results, and impact
    data in Torch.
  version: '2026-01-27'
servers:
  - url: https://{tenant}.torchapp.com.au/api
    variables:
      tenant:
        default: demo
        description: Your Torch tenant subdomain.
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Users
  - name: Projects
  - name: Elements
  - name: Indicators
  - name: Disaggregations
  - name: Targets
  - name: Results
  - name: Assignments
  - name: Misc
paths:
  /v1/projects/record-results:
    post:
      tags:
        - Projects
        - Results
      summary: Record results
      description: Record results for a project and indicator.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordResultsCreate'
      responses:
        '200':
          description: Results recorded
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '401':
          $ref: '#/components/responses/Unauthenticated'
components:
  schemas:
    RecordResultsCreate:
      type: object
      properties:
        project_identifier:
          type: string
          example: architecto
        indicator_identifier:
          type: string
          example: architecto
        disaggregations:
          type: array
          items:
            type: object
            properties:
              category:
                type: string
                example: architecto
              items:
                type: array
                items:
                  type: object
      required:
        - project_identifier
        - indicator_identifier
        - disaggregations
    UnauthenticatedError:
      type: object
      properties:
        message:
          type: string
          example: Unauthenticated.
      required:
        - message
  responses:
    Unauthenticated:
      description: Unauthenticated
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````